# Frequently Asked Questions

If you find that you have a question that is not answered in the Help files, please feel free to send it to us using the "_Help ➟ Send Feedback..._" menu.

---

1. **Do I always have to click on the `Edit` button to edit a document?**

   Press `⌘-Return` - if you're viewing a document, it will switch to editing it.  If you're editing the document, your work will be saved and editing will end.  If you don't want to save your changes, press `⌘-.` to cancel editing (same as pressing the `Cancel` button).

2. **When viewing a file, I expected to be able to click on the view to edit it.**

   Clicking the view to edit would mean you couldn't select and copy any of the information displayed while in rendered view.

3. **What is meant by _1Password Integration_**?

   Open up [_1Password_](https://agilebits.com/onepassword) and drag an item (such as a Login Item) into a file you are editing.  A special link will be inserted; clicking this link will open the website and log you in using _1Password_.  We are not storing any of your confidential information, we simply use a token provided by _1Password_.  A link to show the entry in _1Password_ is also inserted; this is especially useful for non-login items, such as Software License entries.

4. **The folder view is awesome, but I don't like the scrolling previews.**

   You can open the Preferences window, `⌘-,`, and turn off the "_Allow folder previews to scroll_" option.

5. **I would like new Sparks to be added to the top / bottom of the document.**

   Open Preferences and set the _Add new spark entries to beginning of file_ to your liking.

6. **How do I import a Markdown file?**

   Simply drag the file from the Finder into the correct place in the sidebar - only files that end in `.md`, `.markdown`, or `.txt` are currently supported.

7. **It's a pain to have to navigate the document sidebar with the mouse.**

   You don't have to!  Use the keyboard:
   - up/down cursor arrow keys move up/down the document tree
   - option-up/down to jump to the top/bottom of the sidebar
   - left/right cursor arrow keys close/open folders
   - type the beginning of a file or folder name to jump to it (you can jump to the next file that starts with the same letter by pausing for a second, then typing the first letter of the name again)

8. **Syntax highlighiting in the editor can be slow for large files.  Can I turn if off?**

   Yes, you can turn editor syntax highlighing off.  Use the menu item 'Edit -> Disable Editor Syntax Highlighting'.

9. **Where are my files stored?  Can I put them in Dropbox / cloud storage?**

   Initially, your files are stored in a folder called _Versatil Markdown_, kept in the application's Sandbox.  You can easily move this folder to another location (such as somewhere in your Dropbox, Documents folder, etc).  Open the Preferences window (`⌘-,`) and choose "_Other..._" in the "_Store Notes Folder In_" menu.  If, for example, you choose your Dropbox folder, then the _Versatil Markdown_ notes folder will be moved there.
   
   At any time, you can select an item in the sidebar, right-click and choose "_Show In Finder_" to show that item in the Finder.

10. **When I drag/drop an image from my `Pictures` folder, it displays fine.  But if I quit and restart the application, it doesn't show the image.**

    Due to security restrictions of the  macOS sandbox, you must give _Versatil Markdown_ permission to access files in other locations, such as your `Pictures` or `Desktop` folder.  To do this, open the Preferences window (`⌘-,`) and choose "_Other..._" in the "_Media Access Folder_" menu.  If, for example, you choose the `Pictures` folder, then _Versatil Markdown_ will be able access images in that folder.  To allow access to all your main folders (`Desktop`, `Documents`, etc) then select your home folder.