<img src="versatil_icon.png" alt="" class="center-block">
<h1 class="text-center">Welcome to Versatil Markdown!</h1>

<div class="lead text-center">

A hypernotebook built around Markdown/CommonMark, with 1Password integration, HTML/CSS support, syntax highlighting, frictionless keyboard flow, smart drag-n-drop insertion, multiple themes, document aliasing, and more.

</div>

Taking notes, writing blog articles, managing all the technical details of your websites and projects -- these are just some of the things Versatil Markdown can be used for.

## Feature Overview

<div class="row">
<div class="col-sm-6">

- [x] Display First

</div>
<div class="col-sm-6">

- [x] Markdown Syntax

</div>
<div class="col-sm-6">

- [x] HTML/CSS Supported

</div>
<div class="col-sm-6">

- [x] Syntax Highlighting

</div>
<div class="col-sm-6">

- [x] Smart Drag/Drop

</div>
<div class="col-sm-6">

- [x] Notes in the Cloud

</div>
<div class="col-sm-6">

- [x] 1Password Integration

</div>
<div class="col-sm-6">

- [x] Frictionless Keyboard Flow

</div>
<div class="col-sm-6">

- [x] Document Aliasing

</div>
<div class="col-sm-6">

- [x] Dark Appearance and Multiple Editor Themes

</div>
<div class="col-sm-6">

- [x] Integrated Spark File

</div>
<div class="col-sm-6">

- [x] Stored as Text

</div>
<div class="col-sm-6">

- [x] MathJax for TeX and LaTeX Support

</div>
<div class="col-sm-6">

- [x] Export to HTML, PDF and Web Archive

</div>
</div>

---

<div class="row">
<div class="col-sm-6">

### Display First

A principal feature of _Versatil Markdown_ is its "**Display First**" philosophy, meaning if you're not editing the text, then it's being displayed rendered, making it easy to read and reference.  Although Markdown itself is designed to be simple to read as plaintext, we believe that you shouldn't need to read the source text unless you're editing it.

And check out what happens when you click on a section or folder...the top level documents are instantly previewed!

</div>
<div class="col-sm-6">

### Markdown Syntax

Whether you're keeping track of the technical details of all the websites you manage or storing thoughts on various projects, you can write it in the familiar Markdown syntax. Built on the emerging [CommonMark](http://commonmark.org) specification and enhanced with GitHub Flavored Markdown, you get all the normal Markdown goodness, plus **task lists** and **tables**.

</div>
</div>
<div class="row">
<div class="col-sm-6">

### HTML/CSS Supported

Embedded HTML and CSS is also supported.  So if you want to add <span class="text-danger">special sections</span> or <span class="text-success">formatting</span>, go right ahead.

For the true power user, you can utilize the embedded [Bootstrap 3](http://getbootstrap.com/) framework.  Although your source might not render correctly in other Markdown editors (without the proper support), the power is there if you wish to take advantage of it.

For example, a <a tabindex="0" class="btn btn-sm btn-danger" role="button" data-toggle="popover" data-trigger="focus" title="Dismissible popover" data-content="And here's some amazing content. Pretty cool, huh?">Dismissible popover</a>

In fact, the document you're reading takes advantage of it.  Just `⌘-Return` to take a look at the source.

</div>
<div class="col-sm-6">

### Syntax Highlighting

Embedded source code can be syntax highlighted.  For example:

```ruby
  #------------------------------------------------------------------------------
  def last_cursor_location
    self.cursor_location.nil? ? 0 : self.cursor_location
  end
```

</div>
</div>
<div class="row">
<div class="col-sm-6">

### Smart Drag/Drop

Drag a link or an image from your browser into your text, and have it inserted as a proper link or image, including the title for the link.

</div>
<div class="col-sm-6">

### Notes in the Cloud

Choose where you want to keep your valuable notes stored -- locally on your computer, or in cloud storage such as Dropbox, Google Drive, OneDrive, or even iCloud Drive.

</div>
</div>
<div class="row">
<div class="col-sm-6">

### 1Password

If you use 1Password to store your logins to various websites, you can easily create a link to one of these sites. Simply drag/drop an item from 1Password into the editor window and it will insert a link like this:


[Login example.com](https://www.example.com/authentication?onepasswdfill=57ACAA7241CA3B01FEC2E2C8) / [Show](onepasswordb://search/57ACAA7241CA3B01FEC2E2C8)

```
[Login example.com](https://www.example.com/authentication?onepasswdfill=57ACAA7241CA3B01FEC2E2C8) / [Show](onepasswordb://search/57ACAA7241CA3B01FEC2E2C8)
```

This not only allows you to quickly login to the site with 1Password, but can also open 1Password to show that specific item.  This is useful for non-Login items, such as Software Licenses or Servers.

</div>
<div class="col-sm-6">

### Frictionless Keyboard Flow

We've tried to make navigation intuitive and simple using the keyboard.  So editing a document is a simple `⌘-Return`.  To save the document and return to the display view, just `⌘-Return` again.

When you save the document, the last position of your cursor is saved.  So when you edit that document again, your placed right back where you were last time.

</div>
</div>
<div class="row">
<div class="col-sm-6">

### Document Aliasing

Versatil organizes your notes as documents inside sections and, optionally, folders. But sometimes information belongs in more than one place. For example, you might use the same webhosting service for 4 different websites.

For this type of situation, we allow you to create aliases to virtually place a note in any section/folder where it needs to be. You can edit the note from any of its aliases. You can also jump back to the note and see where all of its aliases live.

To create an alias, simply `Ctrl-drag` a document to another location.  You can now use the arrow icon to the right of the document name to navigate back and forth between them.

</div>
<div class="col-sm-6">

### Dark Appearance and Multiple Editor Themes

Normal, Solarized Dark, and Solarized Light editor themes are selectable from the Preferences.

And if you prefer working with a dark appearance, you can select that from the Preferences as well.

</div>
</div>
<div class="row">
<div class="col-sm-6">

### Spark File

An easy way to chronicle and capture thoughts or ideas through the creation of "sparks".[^1]  Each spark is stamped with a date and time and kept in chronological order, so you can quickly browse through them.  Simply hit `Ctrl-S` and your work is saved, and you're transported to a new entry.

[^1]: [The Spark File — The Writer’s Room](https://medium.com/the-writers-room/the-spark-file-8d6e7df7ae58)

</div>
<div class="col-sm-6">

### Stored as Text

Your data is stored as plain text, so you're not locked into a difficult to access format. 

</div>
</div>
<div class="row">
<div class="col-sm-6">

### MathJax for TeX and LaTeX support

When enabled in the Preferences, we will include MathJax, so that you're TeX and LaTeX equations are rendered beautifully.  Use the standard delimiters $$ and $ to easily add your equations in Markdown.

</div>
<div class="col-sm-6">

### Export to HTML, PDF and Web Archive

Export your document as an HTML file (styled or unstyled), a PDF document, or as a Web Archive. If you're referencing local images in your Markdown, we'll even embed them in your HTML document so that it's more portable.

</div>
</div>

## More To Come

We're not done with [**Versatil Markdown**](http://versatilapp.com)!  There are many additional features in the works, such as searching, tagging, and more.

If you have any suggestions, feature requests, or run into any problems, please feel free to drop us a line at [support@versatilapp.com](mailto:support@versatilapp.com)